Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class PanelBarRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.PanelBarRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  PanelBarRenderer

    public abstract class PanelBarRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary
`static java.lang.String` | `EXPANDED_ATTR`
`static java.lang.String` | `PANEL_BAR_RESOURCES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PanelBarRendererBase()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `expanded(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`boolean` | `getRendersChildren()`
`protected java.util.List` | `getScriptPanelBarItems(javax.faces.context.FacesContext context, UIPanelBar panelBar)`
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`java.lang.String` | `height(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `width(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PANEL_BAR_RESOURCES

    public static final java.lang.String PANEL_BAR_RESOURCES

See Also:
  Constant Field Values

### EXPANDED_ATTR

    public static final java.lang.String EXPANDED_ATTR

See Also:
  Constant Field Values

Constructor Detail

### PanelBarRendererBase

    public PanelBarRendererBase()

Method Detail

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### expanded

    public java.lang.String expanded(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### width

    public java.lang.String width(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### height

    public java.lang.String height(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `org.ajax4jsf.renderkit.RendererBase`

### getScriptPanelBarItems

    protected java.util.List getScriptPanelBarItems(javax.faces.context.FacesContext context,
                                                    UIPanelBar panelBar)

### encodeScript

    public void encodeScript(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.